Skip to main content
GET
/
api
/
v1
/
org
/
applications
List Applications Api Endpoint
import requests

url = "https://platform.ankra.app/api/v1/org/applications"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
{
  "result": [
    {
      "id": "<string>",
      "name": "<string>",
      "state": "<string>",
      "app_repo_owner": "<string>",
      "app_repo_name": "<string>",
      "app_repo_branch": "<string>",
      "created_at": "<string>",
      "updated_at": "<string>",
      "analysis_status": "<string>",
      "error_message": "<string>",
      "app_repo_url": "<string>",
      "container_image_url": "<string>",
      "chart_oci_url": "<string>",
      "helm_repo_add_command": "<string>",
      "pull_request_url": "<string>"
    }
  ],
  "pagination": {
    "page": 123,
    "page_size": 123,
    "total_pages": 123,
    "total_count": 123
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.ankra.io/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

authorization
string | null
x-ankra-organisation-id
string | null

Query Parameters

page
integer
default:1
Required range: x >= 1
page_size
integer
default:25
Required range: 1 <= x <= 100
search
string | null

Response

Successful Response

result
ApplicationItem · object[]
required
pagination
ApplicationPagination · object
required